'use strict';

var React = require('react');

var _require = require('react-bootstrap');

var Button = _require.Button;
var Modal = _require.Modal;


var Confirm = React.createClass({
    displayName: 'Confirm',

    propTypes: {
        body: React.PropTypes.any.isRequired,
        buttonText: React.PropTypes.string,
        confirmText: React.PropTypes.string,
        onConfirm: React.PropTypes.func.isRequired,
        title: React.PropTypes.string.isRequired,
        visible: React.PropTypes.bool
    },

    getInitialState: function getInitialState() {
        if (!this.props.visible) {
            return {
                isOpened: false
            };
        } else {
            return {
                isOpened: true
            };
        }
    },
    onButtonClick: function onButtonClick() {
        this.setState({
            isOpened: true
        });
    },
    onClose: function onClose() {
        this.setState({
            isOpened: false
        });
    },
    onConfim: function onConfim() {
        this.setState({
            isOpened: false
        });
        this.props.onConfirm();
    },
    render: function render() {
        var content;
        if (this.props.children) {
            content = React.cloneElement(React.Children.only(this.props.children), {
                onClick: this.onButtonClick
            });
        } else {
            content = React.createElement(
                Button,
                { onClick: this.onButtonClick },
                this.props.buttonText
            );
        }

        return React.createElement(
            'span',
            { style: this.props.style },
            content,
            React.createElement(
                Modal,
                { show: this.state.isOpened, onHide: this.onClose },
                React.createElement(
                    Modal.Header,
                    null,
                    this.props.title
                ),
                React.createElement(
                    Modal.Body,
                    null,
                    this.props.body
                ),
                React.createElement(
                    Modal.Footer,
                    null,
                    React.createElement(
                        Button,
                        { bsStyle: 'default', onClick: this.onClose },
                        'Cancel'
                    ),
                    React.createElement(
                        Button,
                        { bsStyle: 'danger', onClick: this.onConfim },
                        this.props.confirmText ? this.props.confirmText : 'Confirm'
                    )
                )
            )
        );
    }
});

module.exports = Confirm;